Skip to content

Add budget owner

Request

Adds a user (or pending invite) as an owner of the budget. Provide exactly one of user or invite. If an invite has already been accepted, the response will contain user rather than invite.

If the same user or invite was previously removed from this budget, the original record is reinstated rather than a new one created — the returned id will match the original owner's id.

Security
BearerAuth
Path
client_idintegerrequired

The ID of the business.

Example:123
budget_idstringrequired

The ID of the budget.

Bodyapplication/jsonrequired
One of:

Provide exactly one of user or invite. If the invite has already been accepted by the time the request is processed, the response will contain user rather than invite.

userobject

An accepted user in this business.

inviteobject

A pending invite in this business.

POST
/v1/businesses/{client_id}/budgets/{budget_id}/owners
curl -i -X POST \
  'https://public.letsweel.com/v1/businesses/123/budgets/{budget_id}/owners' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "user": {
      "id": 123
    },
    "invite": {
      "id": "e33b7c61-5124-4ba0-b238-e4c573133715"
    }
  }'

Responses

Created

Bodyapplication/json
idstring

The ID of the budget owner.

Example:"e33b7c61-5124-4ba0-b238-e4c573133715"
userobject or null(SubUser)

The user for the budget owner. Only present once the underlying invite has been accepted.

inviteobject(Invite)

The pending invite for the budget owner. Only present while the user has not yet accepted their invite.

is_deletedboolean

Whether the budget owner has been removed from the budget.

Example:false
createdstring, (date-time)

The date and time when the budget owner was created in UTC.

Example:"2024-01-01T00:00:00Z"
updatedstring, (date-time)

The date and time when the budget owner was last updated in UTC.

Example:"2024-01-01T00:00:00Z"
Response
{ "id": "e33b7c61-5124-4ba0-b238-e4c573133715", "user": { "id": 123, "first_name": "John", "last_name": "Doe", "name": "John Doe" }, "invite": { "id": 99, "email": "jane.doe@example.com", "role_id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890", "role": "Team Member", "payment_types": [], "used": false, "created": "2026-05-01T00:00:00Z", "updated": "2026-05-01T00:00:00Z" }, "is_deleted": false, "created": "2024-01-01T00:00:00Z", "updated": "2024-01-01T00:00:00Z" }